%define module	Test-Tester
%define version	0.107
%define release %mkrel 1

Summary:	Ease testing test modules built with Test::Builder
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Test/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-buildroot/
BuildArch:	noarch

%description
If you have written a test module based on Test::Builder then Test::Tester
allows you to test it with the minimum of effort.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README TODO
%{_mandir}/*/*
%{perl_vendorlib}/Test/Tester
%{perl_vendorlib}/Test/Tester.pm




%changelog
* Mon Mar 03 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.107-1mdv2008.1
+ Revision: 177898
- update to new version 0.107

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.106-1mdv2008.0
+ Revision: 78721
- update to new version 0.106

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.105-1mdv2008.0
+ Revision: 75232
- update to new version 0.105


* Tue Jan 09 2007 Olivier Thauvin <nanardon@mandriva.org> 0.104-1mdv2007.0
+ Revision: 106250
- 0.104

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Test-Tester

* Sat Apr 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.103-3mdk
- Fix SPEC according to Perl Policy
	- Source URL
- Remove perl Require

* Mon Mar 06 2006 Buchan Milne <bgmilne@mandriva.org> 0.103-2mdk
- Rebuild
- use mkrel

* Wed Oct 12 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.103-1mdk
- Initial MDV release

